## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate terminal_size

Name:           rust-terminal_size
Version:        0.2.6
Release:        %autorelease
Summary:        Gets the size of your Linux or Windows terminal

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/terminal_size
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          terminal_size-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Gets the size of your Linux or Windows terminal.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip tests that don't work without a TTY
%cargo_test -- -- --skip unix::compare_with_stty
%endif

%changelog
* Mon Apr 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.6-1
- Update to version 0.2.6; Fixes RHBZ#2183909

* Sun Feb 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.5-1
- Update to version 0.2.5; Fixes RHBZ#2169889

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 21 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 16 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.17-1
- Update to version 0.1.17.
- Fixes RHBZ#1960805

* Thu Mar 04 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.16-1
- Update to version 0.1.16.
- Fixes RHBZ#1917889

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Dec 02 2020 Fabio Valentini <decathorpe@gmail.com> - 0.1.15-1
- Update to version 0.1.15.
- Fixes RHBZ#1897718

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.13-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.1.13-1
- Update to 0.1.13

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.1.12-1
- Update to 0.1.12

* Fri Mar 27 11:04:48 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.11-1
- Update to 0.1.11

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 11 17:21:23 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.10-1
- Update to 0.1.10

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 0.1.9-1
- Update to 0.1.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 21:19:42 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-3
- Regenerate

* Sun Jun 09 22:06:46 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-2
- Regenerate

* Thu Apr 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.8-1
- Initial package

